# ehelply-python-sdk
eHelply SDK for SuperStack Services

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.1.72
- Package version: 1.1.72
- Build package: org.openapitools.codegen.languages.PythonExperimentalClientCodegen
For more information, please visit [https://superstack.ehelply.com/support](https://superstack.ehelply.com/support)

## Requirements.

Python &gt;&#x3D;3.9
v3.9 is needed so one can combine classmethod and property decorators to define
object schema properties as classes

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import ehelply_python_sdk
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import ehelply_python_sdk
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import ehelply_python_sdk
from pprint import pprint
from ehelply_python_sdk.api import auth_api
from ehelply_python_sdk.model.http_validation_error import HTTPValidationError
from ehelply_python_sdk.model.user_password_reset_confirmation import UserPasswordResetConfirmation
# Defining the host is optional and defaults to https://api.prod.ehelply.com
# See configuration.py for a list of all supported configuration parameters.
configuration = ehelply_python_sdk.Configuration(
    host = "https://api.prod.ehelply.com"
)


# Enter a context with an instance of the API client
with ehelply_python_sdk.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = auth_api.AuthApi(api_client)
    user_password_reset_confirmation = UserPasswordResetConfirmation(
        email="email_example",
        confirmation_code="confirmation_code_example",
        password="password_example",
    ) # UserPasswordResetConfirmation | 

    try:
        # Reset Password Confirmation
        api_response = api_instance.reset_password_confirmation_users_auth_password_reset_confirm_post(user_password_reset_confirmation)
        pprint(api_response)
    except ehelply_python_sdk.ApiException as e:
        print("Exception when calling AuthApi->reset_password_confirmation_users_auth_password_reset_confirm_post: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api.prod.ehelply.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AuthApi* | [**reset_password_confirmation_users_auth_password_reset_confirm_post**](docs/AuthApi.md#reset_password_confirmation_users_auth_password_reset_confirm_post) | **POST** /sam/users/auth/password/reset/confirm | Reset Password Confirmation
*BillingApi* | [**attach_payment_to_project_billing_attach_payment_to_project_post**](docs/BillingApi.md#attach_payment_to_project_billing_attach_payment_to_project_post) | **POST** /sam/billing/attach_payment_to_project | Attach Payment To Project
*BillingApi* | [**attach_payment_to_project_billing_attach_payment_to_project_post_0**](docs/BillingApi.md#attach_payment_to_project_billing_attach_payment_to_project_post_0) | **POST** /sam/billing/attach_payment_to_project | Attach Payment To Project
*BillingApi* | [**create_billing_account_billing_create_billing_account_post**](docs/BillingApi.md#create_billing_account_billing_create_billing_account_post) | **POST** /sam/billing/create_billing_account | Create Billing Account
*BillingApi* | [**create_billing_account_billing_create_billing_account_post_0**](docs/BillingApi.md#create_billing_account_billing_create_billing_account_post_0) | **POST** /sam/billing/create_billing_account | Create Billing Account
*BillingApi* | [**delete_billing_account_billing_delete_billing_account_delete**](docs/BillingApi.md#delete_billing_account_billing_delete_billing_account_delete) | **DELETE** /sam/billing/delete_billing_account | Delete Billing Account
*BillingApi* | [**delete_billing_account_billing_delete_billing_account_delete_0**](docs/BillingApi.md#delete_billing_account_billing_delete_billing_account_delete_0) | **DELETE** /sam/billing/delete_billing_account | Delete Billing Account
*BillingApi* | [**get_client_secret_billing_retrieve_secret_get**](docs/BillingApi.md#get_client_secret_billing_retrieve_secret_get) | **GET** /sam/billing/retrieve_secret | Get Client Secret
*BillingApi* | [**get_client_secret_billing_retrieve_secret_get_0**](docs/BillingApi.md#get_client_secret_billing_retrieve_secret_get_0) | **GET** /sam/billing/retrieve_secret | Get Client Secret
*BillingApi* | [**has_payment_billing_has_payment_get**](docs/BillingApi.md#has_payment_billing_has_payment_get) | **GET** /sam/billing/has_payment | Has Payment
*BillingApi* | [**has_payment_billing_has_payment_get_0**](docs/BillingApi.md#has_payment_billing_has_payment_get_0) | **GET** /sam/billing/has_payment | Has Payment
*BillingApi* | [**process_payment_billing_process_payment_post**](docs/BillingApi.md#process_payment_billing_process_payment_post) | **POST** /sam/billing/process_payment | Process Payment
*BillingApi* | [**process_payment_billing_process_payment_post_0**](docs/BillingApi.md#process_payment_billing_process_payment_post_0) | **POST** /sam/billing/process_payment | Process Payment
*BillingApi* | [**reconcile_payment_methods_billing_reconcile_payment_get**](docs/BillingApi.md#reconcile_payment_methods_billing_reconcile_payment_get) | **GET** /sam/billing/reconcile_payment | Reconcile Payment Methods
*BillingApi* | [**remove_payment_method_billing_remove_payment_method_delete**](docs/BillingApi.md#remove_payment_method_billing_remove_payment_method_delete) | **DELETE** /sam/billing/remove_payment_method | Remove Payment Method
*BillingApi* | [**remove_payment_method_billing_remove_payment_method_delete_0**](docs/BillingApi.md#remove_payment_method_billing_remove_payment_method_delete_0) | **DELETE** /sam/billing/remove_payment_method | Remove Payment Method
*BillingApi* | [**view_payment_method_billing_view_payment_method_get**](docs/BillingApi.md#view_payment_method_billing_view_payment_method_get) | **GET** /sam/billing/view_payment_method | View Payment Method
*BillingApi* | [**view_payment_method_billing_view_payment_method_get_0**](docs/BillingApi.md#view_payment_method_billing_view_payment_method_get_0) | **GET** /sam/billing/view_payment_method | View Payment Method
*CategoryApi* | [**create_category_places_categories_post**](docs/CategoryApi.md#create_category_places_categories_post) | **POST** /places/categories | Create Category
*CategoryApi* | [**delete_category_places_categories_category_uuid_delete**](docs/CategoryApi.md#delete_category_places_categories_category_uuid_delete) | **DELETE** /places/categories/{category_uuid} | Delete Category
*CategoryApi* | [**get_category_places_categories_category_uuid_get**](docs/CategoryApi.md#get_category_places_categories_category_uuid_get) | **GET** /places/categories/{category_uuid} | Get Category
*CategoryApi* | [**search_categories_places_categories_get**](docs/CategoryApi.md#search_categories_places_categories_get) | **GET** /places/categories | Search Categories
*CategoryApi* | [**update_category_places_categories_category_uuid_put**](docs/CategoryApi.md#update_category_places_categories_category_uuid_put) | **PUT** /places/categories/{category_uuid} | Update Category
*CompaniesApi* | [**create_company_places_companies_post**](docs/CompaniesApi.md#create_company_places_companies_post) | **POST** /places/companies | Create Company
*CompaniesApi* | [**delete_place_places_companies_company_uuid_delete**](docs/CompaniesApi.md#delete_place_places_companies_company_uuid_delete) | **DELETE** /places/companies/{company_uuid} | Delete Place
*CompaniesApi* | [**get_company_places_companies_company_uuid_get**](docs/CompaniesApi.md#get_company_places_companies_company_uuid_get) | **GET** /places/companies/{company_uuid} | Get Company
*CompaniesApi* | [**search_companies_places_companies_get**](docs/CompaniesApi.md#search_companies_places_companies_get) | **GET** /places/companies | Search Companies
*CompaniesApi* | [**update_company_places_companies_company_uuid_put**](docs/CompaniesApi.md#update_company_places_companies_company_uuid_put) | **PUT** /places/companies/{company_uuid} | Update Company
*DefaultApi* | [**attach_product_to_catalog**](docs/DefaultApi.md#attach_product_to_catalog) | **POST** /catalogs/{catalog_uuid}/products/{product_uuid} | Attach Product To Catalog
*DefaultApi* | [**create_catalog**](docs/DefaultApi.md#create_catalog) | **POST** /catalogs | Create Catalog
*DefaultApi* | [**create_product**](docs/DefaultApi.md#create_product) | **POST** /products | Create Product
*DefaultApi* | [**create_review**](docs/DefaultApi.md#create_review) | **POST** /reviews/types/{entity_type}/entities/{entity_uuid} | Create Review
*DefaultApi* | [**delete_catalog**](docs/DefaultApi.md#delete_catalog) | **DELETE** /catalogs/{catalog_uuid} | Delete Catalog
*DefaultApi* | [**delete_product**](docs/DefaultApi.md#delete_product) | **DELETE** /products/{product_uuid} | Delete Product
*DefaultApi* | [**delete_review**](docs/DefaultApi.md#delete_review) | **DELETE** /reviews/types/{entity_type}/entities/{entity_uuid}/reviews/{review_uuid} | Delete Review
*DefaultApi* | [**detach_product_from_catalog**](docs/DefaultApi.md#detach_product_from_catalog) | **DELETE** /catalogs/{catalog_uuid}/products/{product_uuid} | Detach Product From Catalog
*DefaultApi* | [**get_catalog**](docs/DefaultApi.md#get_catalog) | **GET** /catalogs/{catalog_uuid} | Get Catalog
*DefaultApi* | [**get_product**](docs/DefaultApi.md#get_product) | **GET** /products/{product_uuid} | Get Product
*DefaultApi* | [**get_review**](docs/DefaultApi.md#get_review) | **GET** /reviews/types/{entity_type}/entities/{entity_uuid}/reviews/{review_uuid} | Get Review
*DefaultApi* | [**search_catalog_products**](docs/DefaultApi.md#search_catalog_products) | **GET** /catalogs/{catalog_uuid}/products | Search Catalog Products
*DefaultApi* | [**search_catalogs**](docs/DefaultApi.md#search_catalogs) | **GET** /catalogs | Search Catalogs
*DefaultApi* | [**search_product**](docs/DefaultApi.md#search_product) | **GET** /products | Search Products
*DefaultApi* | [**search_product_catalog**](docs/DefaultApi.md#search_product_catalog) | **GET** /products/{product_uuid}/catalogs | Search Product Catalogs
*DefaultApi* | [**search_reviews**](docs/DefaultApi.md#search_reviews) | **GET** /reviews/types/{entity_type}/entities/{entity_uuid} | Search Review
*DefaultApi* | [**update_catalog**](docs/DefaultApi.md#update_catalog) | **PUT** /catalogs/{catalog_uuid} | Update Catalog
*DefaultApi* | [**update_product**](docs/DefaultApi.md#update_product) | **PUT** /products/{product_uuid} | Update Product
*DefaultApi* | [**update_review**](docs/DefaultApi.md#update_review) | **PUT** /reviews/types/{entity_type}/entities/{entity_uuid}/reviews/{review_uuid} | Update Review
*LoggingApi* | [**get_logs_logging_logs_get**](docs/LoggingApi.md#get_logs_logging_logs_get) | **GET** /sam/logging/logs | Get Logs
*LoggingApi* | [**get_service_logs_logging_logs_services_service_get**](docs/LoggingApi.md#get_service_logs_logging_logs_services_service_get) | **GET** /sam/logging/logs/services/{service} | Get Service Logs
*LoggingApi* | [**get_subject_logs_logging_logs_services_service_subjects_subject_get**](docs/LoggingApi.md#get_subject_logs_logging_logs_services_service_subjects_subject_get) | **GET** /sam/logging/logs/services/{service}/subjects/{subject} | Get Subject Logs
*MetaApi* | [**create_field**](docs/MetaApi.md#create_field) | **POST** /meta/field | Create Field
*MetaApi* | [**create_meta**](docs/MetaApi.md#create_meta) | **POST** /meta/meta/service/{service}/type/{type_str}/entity/{entity_uuid} | Create Meta
*MetaApi* | [**delete_field**](docs/MetaApi.md#delete_field) | **DELETE** /meta/field/{field_uuid} | Delete Field
*MetaApi* | [**delete_meta**](docs/MetaApi.md#delete_meta) | **DELETE** /meta/meta/service/{service}/type/{type_str}/entity/{entity_uuid} | Delete Meta
*MetaApi* | [**delete_meta_from_uuid**](docs/MetaApi.md#delete_meta_from_uuid) | **DELETE** /meta/meta/{meta_uuid} | Delete Meta From Uuid
*MetaApi* | [**get_field**](docs/MetaApi.md#get_field) | **GET** /meta/field/{field_uuid} | Get Field
*MetaApi* | [**get_meta**](docs/MetaApi.md#get_meta) | **GET** /meta/meta/service/{service}/type/{type_str}/entity/{entity_uuid} | Get Meta
*MetaApi* | [**get_meta_from_uuid**](docs/MetaApi.md#get_meta_from_uuid) | **GET** /meta/meta/{meta_uuid} | Get Meta From Uuid
*MetaApi* | [**make_slug**](docs/MetaApi.md#make_slug) | **POST** /meta/meta/slug | Make Slug
*MetaApi* | [**touch_meta**](docs/MetaApi.md#touch_meta) | **POST** /meta/meta/service/{service}/type/{type_str}/entity/{entity_uuid}/touch | Touch Meta
*MetaApi* | [**update_field**](docs/MetaApi.md#update_field) | **PUT** /meta/field/{field_uuid} | Update Field
*MetaApi* | [**update_meta**](docs/MetaApi.md#update_meta) | **PUT** /meta/meta/service/{service}/type/{type_str}/entity/{entity_uuid} | Update Meta
*MetaApi* | [**update_meta_from_uuid**](docs/MetaApi.md#update_meta_from_uuid) | **PUT** /meta/meta/{meta_uuid} | Update Meta From Uuid
*MonitorApi* | [**ack_alarm_monitor_services_service_stages_stage_alarms_alarm_uuid_acknowledge_post**](docs/MonitorApi.md#ack_alarm_monitor_services_service_stages_stage_alarms_alarm_uuid_acknowledge_post) | **POST** /sam/monitor/services/{service}/stages/{stage}/alarms/{alarm_uuid}/acknowledge | Ack Alarm
*MonitorApi* | [**assign_alarm_monitor_services_service_stages_stage_alarms_alarm_uuid_assign_post**](docs/MonitorApi.md#assign_alarm_monitor_services_service_stages_stage_alarms_alarm_uuid_assign_post) | **POST** /sam/monitor/services/{service}/stages/{stage}/alarms/{alarm_uuid}/assign | Assign Alarm
*MonitorApi* | [**attach_alarm_note_monitor_services_service_stages_stage_alarms_alarm_uuid_note_post**](docs/MonitorApi.md#attach_alarm_note_monitor_services_service_stages_stage_alarms_alarm_uuid_note_post) | **POST** /sam/monitor/services/{service}/stages/{stage}/alarms/{alarm_uuid}/note | Attach Alarm Note
*MonitorApi* | [**attach_alarm_ticket_monitor_services_service_stages_stage_alarms_alarm_uuid_ticket_post**](docs/MonitorApi.md#attach_alarm_ticket_monitor_services_service_stages_stage_alarms_alarm_uuid_ticket_post) | **POST** /sam/monitor/services/{service}/stages/{stage}/alarms/{alarm_uuid}/ticket | Attach Alarm Ticket
*MonitorApi* | [**clear_alarm_monitor_services_service_stages_stage_alarms_alarm_uuid_clear_post**](docs/MonitorApi.md#clear_alarm_monitor_services_service_stages_stage_alarms_alarm_uuid_clear_post) | **POST** /sam/monitor/services/{service}/stages/{stage}/alarms/{alarm_uuid}/clear | Clear Alarm
*MonitorApi* | [**get_service_alarm_monitor_services_service_stages_stage_alarms_alarm_uuid_get**](docs/MonitorApi.md#get_service_alarm_monitor_services_service_stages_stage_alarms_alarm_uuid_get) | **GET** /sam/monitor/services/{service}/stages/{stage}/alarms/{alarm_uuid} | Get Service Alarm
*MonitorApi* | [**get_service_alarms_monitor_services_service_stages_stage_alarms_get**](docs/MonitorApi.md#get_service_alarms_monitor_services_service_stages_stage_alarms_get) | **GET** /sam/monitor/services/{service}/stages/{stage}/alarms | Get Service Alarms
*MonitorApi* | [**get_service_heartbeats_monitor_services_service_stages_stage_heartbeats_get**](docs/MonitorApi.md#get_service_heartbeats_monitor_services_service_stages_stage_heartbeats_get) | **GET** /sam/monitor/services/{service}/stages/{stage}/heartbeats | Get Service Heartbeats
*MonitorApi* | [**get_service_kpis_monitor_services_service_kpis_get**](docs/MonitorApi.md#get_service_kpis_monitor_services_service_kpis_get) | **GET** /sam/monitor/services/{service}/kpis | Get Service Kpis
*MonitorApi* | [**get_service_monitor_services_service_get**](docs/MonitorApi.md#get_service_monitor_services_service_get) | **GET** /sam/monitor/services/{service} | Get Service
*MonitorApi* | [**get_service_spec**](docs/MonitorApi.md#get_service_spec) | **GET** /sam/monitor/services/{service}/specs/{spec} | Getservicespec
*MonitorApi* | [**get_service_specs**](docs/MonitorApi.md#get_service_specs) | **GET** /sam/monitor/services/{service}/specs | Getservicespecs
*MonitorApi* | [**get_service_vitals_monitor_services_service_stages_stage_vitals_get**](docs/MonitorApi.md#get_service_vitals_monitor_services_service_stages_stage_vitals_get) | **GET** /sam/monitor/services/{service}/stages/{stage}/vitals | Get Service Vitals
*MonitorApi* | [**get_services_monitor_services_get**](docs/MonitorApi.md#get_services_monitor_services_get) | **GET** /sam/monitor/services | Get Services
*MonitorApi* | [**get_services_with_specs**](docs/MonitorApi.md#get_services_with_specs) | **GET** /sam/monitor/specs/services | Getserviceswithspecs
*MonitorApi* | [**hide_service_monitor_services_service_stages_stage_hide_post**](docs/MonitorApi.md#hide_service_monitor_services_service_stages_stage_hide_post) | **POST** /sam/monitor/services/{service}/stages/{stage}/hide | Hide Service
*MonitorApi* | [**ignore_alarm_monitor_services_service_stages_stage_alarms_alarm_uuid_ignore_post**](docs/MonitorApi.md#ignore_alarm_monitor_services_service_stages_stage_alarms_alarm_uuid_ignore_post) | **POST** /sam/monitor/services/{service}/stages/{stage}/alarms/{alarm_uuid}/ignore | Ignore Alarm
*MonitorApi* | [**register_service_monitor_services_post**](docs/MonitorApi.md#register_service_monitor_services_post) | **POST** /sam/monitor/services | Register Service
*MonitorApi* | [**search_alarms_monitor_services_service_alarms_get**](docs/MonitorApi.md#search_alarms_monitor_services_service_alarms_get) | **GET** /sam/monitor/services/{service}/alarms | Search Alarms
*MonitorApi* | [**show_service_monitor_services_service_stages_stage_show_post**](docs/MonitorApi.md#show_service_monitor_services_service_stages_stage_show_post) | **POST** /sam/monitor/services/{service}/stages/{stage}/show | Show Service
*MonitorApi* | [**terminate_alarm_monitor_services_service_stages_stage_alarms_alarm_uuid_terminate_post**](docs/MonitorApi.md#terminate_alarm_monitor_services_service_stages_stage_alarms_alarm_uuid_terminate_post) | **POST** /sam/monitor/services/{service}/stages/{stage}/alarms/{alarm_uuid}/terminate | Terminate Alarm
*MonitorApi* | [**trigger_alarm_monitor_services_service_stages_stage_alarms_post**](docs/MonitorApi.md#trigger_alarm_monitor_services_service_stages_stage_alarms_post) | **POST** /sam/monitor/services/{service}/stages/{stage}/alarms | Trigger Alarm
*NotesApi* | [**create_note**](docs/NotesApi.md#create_note) | **POST** /notes/notes | Create Note
*NotesApi* | [**delete_note**](docs/NotesApi.md#delete_note) | **DELETE** /notes/notes/{note_id} | Delete Note
*NotesApi* | [**get_note**](docs/NotesApi.md#get_note) | **GET** /notes/notes/{note_id} | Get Note
*NotesApi* | [**update_note**](docs/NotesApi.md#update_note) | **PUT** /notes/notes/{note_id} | Update Note
*PlacesApi* | [**create_place_places_places_post**](docs/PlacesApi.md#create_place_places_places_post) | **POST** /places/places | Create Place
*PlacesApi* | [**delete_place_places_places_place_uuid_delete**](docs/PlacesApi.md#delete_place_places_places_place_uuid_delete) | **DELETE** /places/places/{place_uuid} | Delete Place
*PlacesApi* | [**forward_geocoding_places_geocoding_forward_get**](docs/PlacesApi.md#forward_geocoding_places_geocoding_forward_get) | **GET** /places/geocoding/forward | Forward Geocoding
*PlacesApi* | [**get_place_places_places_place_uuid_get**](docs/PlacesApi.md#get_place_places_places_place_uuid_get) | **GET** /places/places/{place_uuid} | Get Place
*PlacesApi* | [**reverse_geocoding_places_geocoding_reverse_get**](docs/PlacesApi.md#reverse_geocoding_places_geocoding_reverse_get) | **GET** /places/geocoding/reverse | Reverse Geocoding
*PlacesApi* | [**search_places_by_search_string_places_search_places_string_get**](docs/PlacesApi.md#search_places_by_search_string_places_search_places_string_get) | **GET** /places/search/places/string | Search Places By Search String
*PlacesApi* | [**search_places_places_places_get**](docs/PlacesApi.md#search_places_places_places_get) | **GET** /places/places | Search Places
*PlacesApi* | [**update_place_places_places_place_uuid_put**](docs/PlacesApi.md#update_place_places_places_place_uuid_put) | **PUT** /places/places/{place_uuid} | Update Place
*ProjectsApi* | [**add_member_to_project_projects_projects_project_uuid_members_entity_uuid_post**](docs/ProjectsApi.md#add_member_to_project_projects_projects_project_uuid_members_entity_uuid_post) | **POST** /sam/projects/projects/{project_uuid}/members/{entity_uuid} | Add Member To Project
*ProjectsApi* | [**archive_project_projects_projects_project_uuid_delete**](docs/ProjectsApi.md#archive_project_projects_projects_project_uuid_delete) | **DELETE** /sam/projects/projects/{project_uuid} | Archive Project
*ProjectsApi* | [**create_project_key_projects_projects_project_uuid_keys_post**](docs/ProjectsApi.md#create_project_key_projects_projects_project_uuid_keys_post) | **POST** /sam/projects/projects/{project_uuid}/keys | Create Project Key
*ProjectsApi* | [**create_project_projects_projects_post**](docs/ProjectsApi.md#create_project_projects_projects_post) | **POST** /sam/projects/projects | Create Project
*ProjectsApi* | [**create_usage_type_projects_usage_types_post**](docs/ProjectsApi.md#create_usage_type_projects_usage_types_post) | **POST** /sam/projects/usage/types | Create Usage Type
*ProjectsApi* | [**delete_usage_type_projects_usage_types_usage_type_key_delete**](docs/ProjectsApi.md#delete_usage_type_projects_usage_types_usage_type_key_delete) | **DELETE** /sam/projects/usage/types/{usage_type_key} | Delete Usage Type
*ProjectsApi* | [**get_all_project_usage_projects_projects_project_uuid_usage_get**](docs/ProjectsApi.md#get_all_project_usage_projects_projects_project_uuid_usage_get) | **GET** /sam/projects/projects/{project_uuid}/usage | Get All Project Usage
*ProjectsApi* | [**get_member_projects_projects_members_entity_uuid_projects_get**](docs/ProjectsApi.md#get_member_projects_projects_members_entity_uuid_projects_get) | **GET** /sam/projects/members/{entity_uuid}/projects | Get Member Projects
*ProjectsApi* | [**get_project_keys_projects_projects_project_uuid_keys_get**](docs/ProjectsApi.md#get_project_keys_projects_projects_project_uuid_keys_get) | **GET** /sam/projects/projects/{project_uuid}/keys | Get Project Keys
*ProjectsApi* | [**get_project_members_projects_projects_project_uuid_members_get**](docs/ProjectsApi.md#get_project_members_projects_projects_project_uuid_members_get) | **GET** /sam/projects/projects/{project_uuid}/members | Get Project Members
*ProjectsApi* | [**get_project_projects_projects_project_uuid_get**](docs/ProjectsApi.md#get_project_projects_projects_project_uuid_get) | **GET** /sam/projects/projects/{project_uuid} | Get Project
*ProjectsApi* | [**get_specific_project_usage_projects_projects_project_uuid_usage_usage_type_key_get**](docs/ProjectsApi.md#get_specific_project_usage_projects_projects_project_uuid_usage_usage_type_key_get) | **GET** /sam/projects/projects/{project_uuid}/usage/{usage_type_key} | Get Specific Project Usage
*ProjectsApi* | [**get_usage_type_projects_usage_types_usage_type_key_get**](docs/ProjectsApi.md#get_usage_type_projects_usage_types_usage_type_key_get) | **GET** /sam/projects/usage/types/{usage_type_key} | Get Usage Type
*ProjectsApi* | [**remove_member_from_project_projects_projects_project_uuid_members_entity_uuid_delete**](docs/ProjectsApi.md#remove_member_from_project_projects_projects_project_uuid_members_entity_uuid_delete) | **DELETE** /sam/projects/projects/{project_uuid}/members/{entity_uuid} | Remove Member From Project
*ProjectsApi* | [**remove_project_key_projects_projects_project_uuid_keys_delete**](docs/ProjectsApi.md#remove_project_key_projects_projects_project_uuid_keys_delete) | **DELETE** /sam/projects/projects/{project_uuid}/keys | Remove Project Key
*ProjectsApi* | [**sandbox_projects_sandbox_get**](docs/ProjectsApi.md#sandbox_projects_sandbox_get) | **GET** /sam/projects/sandbox | Sandbox
*ProjectsApi* | [**search_projects_projects_projects_get**](docs/ProjectsApi.md#search_projects_projects_projects_get) | **GET** /sam/projects/projects | Search Projects
*ProjectsApi* | [**search_usage_type_projects_usage_types_get**](docs/ProjectsApi.md#search_usage_type_projects_usage_types_get) | **GET** /sam/projects/usage/types | Search Usage Type
*ProjectsApi* | [**update_project_projects_projects_project_uuid_put**](docs/ProjectsApi.md#update_project_projects_projects_project_uuid_put) | **PUT** /sam/projects/projects/{project_uuid} | Update Project
*ProjectsApi* | [**update_usage_type_projects_usage_types_usage_type_key_put**](docs/ProjectsApi.md#update_usage_type_projects_usage_types_usage_type_key_put) | **PUT** /sam/projects/usage/types/{usage_type_key} | Update Usage Type
*SecurityApi* | [**create_encryption_key_security_encryption_categories_category_keys_post**](docs/SecurityApi.md#create_encryption_key_security_encryption_categories_category_keys_post) | **POST** /sam/security/encryption/categories/{category}/keys | Create Encryption Key
*SecurityApi* | [**create_key_security_keys_post**](docs/SecurityApi.md#create_key_security_keys_post) | **POST** /sam/security/keys | Create Key
*SecurityApi* | [**delete_key_security_keys_key_uuid_delete**](docs/SecurityApi.md#delete_key_security_keys_key_uuid_delete) | **DELETE** /sam/security/keys/{key_uuid} | Delete Key
*SecurityApi* | [**generate_token_security_tokens_post**](docs/SecurityApi.md#generate_token_security_tokens_post) | **POST** /sam/security/tokens | Generate Token
*SecurityApi* | [**get_encryption_key_security_encryption_categories_category_keys_get**](docs/SecurityApi.md#get_encryption_key_security_encryption_categories_category_keys_get) | **GET** /sam/security/encryption/categories/{category}/keys | Get Encryption Key
*SecurityApi* | [**get_key_security_keys_key_uuid_get**](docs/SecurityApi.md#get_key_security_keys_key_uuid_get) | **GET** /sam/security/keys/{key_uuid} | Get Key
*SecurityApi* | [**search_keys_security_keys_get**](docs/SecurityApi.md#search_keys_security_keys_get) | **GET** /sam/security/keys | Search Keys
*SecurityApi* | [**verify_key_security_keys_verify_post**](docs/SecurityApi.md#verify_key_security_keys_verify_post) | **POST** /sam/security/keys/verify | Verify Key
*StaffApi* | [**create_staff_places_staff_post**](docs/StaffApi.md#create_staff_places_staff_post) | **POST** /places/staff | Create Staff
*StaffApi* | [**delete_staff_places_staff_staff_uuid_delete**](docs/StaffApi.md#delete_staff_places_staff_staff_uuid_delete) | **DELETE** /places/staff/{staff_uuid} | Delete Staff
*StaffApi* | [**get_staff_places_staff_staff_uuid_get**](docs/StaffApi.md#get_staff_places_staff_staff_uuid_get) | **GET** /places/staff/{staff_uuid} | Get Staff
*StaffApi* | [**search_staff_places_staff_get**](docs/StaffApi.md#search_staff_places_staff_get) | **GET** /places/staff | Search Staff
*StaffApi* | [**update_staff_places_staff_staff_uuid_put**](docs/StaffApi.md#update_staff_places_staff_staff_uuid_put) | **PUT** /places/staff/{staff_uuid} | Update Staff
*SupportApi* | [**create_contact_support_contact_post**](docs/SupportApi.md#create_contact_support_contact_post) | **POST** /sam/support/contact | Create Contact
*SupportApi* | [**create_ticket_support_projects_project_uuid_members_member_uuid_tickets_post**](docs/SupportApi.md#create_ticket_support_projects_project_uuid_members_member_uuid_tickets_post) | **POST** /sam/support/projects/{project_uuid}/members/{member_uuid}/tickets | Create Ticket
*SupportApi* | [**delete_contact_support_contact_delete**](docs/SupportApi.md#delete_contact_support_contact_delete) | **DELETE** /sam/support/contact | Delete Contact
*SupportApi* | [**list_tickets_support_projects_project_uuid_members_member_uuid_tickets_get**](docs/SupportApi.md#list_tickets_support_projects_project_uuid_members_member_uuid_tickets_get) | **GET** /sam/support/projects/{project_uuid}/members/{member_uuid}/tickets | List Tickets
*SupportApi* | [**update_ticket_support_projects_project_uuid_members_member_uuid_tickets_ticket_id_put**](docs/SupportApi.md#update_ticket_support_projects_project_uuid_members_member_uuid_tickets_ticket_id_put) | **PUT** /sam/support/projects/{project_uuid}/members/{member_uuid}/tickets/{ticket_id} | Update Ticket
*SupportApi* | [**view_ticket_support_projects_project_uuid_members_member_uuid_tickets_ticket_id_get**](docs/SupportApi.md#view_ticket_support_projects_project_uuid_members_member_uuid_tickets_ticket_id_get) | **GET** /sam/support/projects/{project_uuid}/members/{member_uuid}/tickets/{ticket_id} | View Ticket
*TagApi* | [**create_tag_places_tags_post**](docs/TagApi.md#create_tag_places_tags_post) | **POST** /places/tags | Create Tag
*TagApi* | [**delete_tag_places_tags_tag_uuid_delete**](docs/TagApi.md#delete_tag_places_tags_tag_uuid_delete) | **DELETE** /places/tags/{tag_uuid} | Delete Tag
*TagApi* | [**get_tag_places_tags_tag_uuid_get**](docs/TagApi.md#get_tag_places_tags_tag_uuid_get) | **GET** /places/tags/{tag_uuid} | Get Tag
*TagApi* | [**search_tags_places_tags_get**](docs/TagApi.md#search_tags_places_tags_get) | **GET** /places/tags | Search Tags
*TagApi* | [**update_tag_places_tags_tag_uuid_put**](docs/TagApi.md#update_tag_places_tags_tag_uuid_put) | **PUT** /places/tags/{tag_uuid} | Update Tag
*UsersApi* | [**confirm_signup**](docs/UsersApi.md#confirm_signup) | **POST** /sam/users/auth/signup/confirm | Confirmsignup
*UsersApi* | [**create_participant**](docs/UsersApi.md#create_participant) | **POST** /sam/users/participants | Createparticipant
*UsersApi* | [**create_user**](docs/UsersApi.md#create_user) | **POST** /sam/users | Createuser
*UsersApi* | [**delete_participant**](docs/UsersApi.md#delete_participant) | **DELETE** /sam/users/participants/{participant_id} | Deleteparticipant
*UsersApi* | [**delete_user**](docs/UsersApi.md#delete_user) | **DELETE** /sam/users/{user_id} | Deleteuser
*UsersApi* | [**get_participant**](docs/UsersApi.md#get_participant) | **GET** /sam/users/participants/{participant_id} | Getparticipant
*UsersApi* | [**get_user**](docs/UsersApi.md#get_user) | **GET** /sam/users/{user_id} | Getuser
*UsersApi* | [**login**](docs/UsersApi.md#login) | **POST** /sam/users/auth/login | Login
*UsersApi* | [**refresh_token**](docs/UsersApi.md#refresh_token) | **POST** /sam/users/auth/{app_client}/refresh-token | Refreshtoken
*UsersApi* | [**reset_password**](docs/UsersApi.md#reset_password) | **POST** /sam/users/auth/password/reset | Resetpassword
*UsersApi* | [**reset_password_confirmation_users_auth_password_reset_confirm_post**](docs/UsersApi.md#reset_password_confirmation_users_auth_password_reset_confirm_post) | **POST** /sam/users/auth/password/reset/confirm | Reset Password Confirmation
*UsersApi* | [**search_participants**](docs/UsersApi.md#search_participants) | **GET** /sam/users/participants | Searchparticipants
*UsersApi* | [**signup**](docs/UsersApi.md#signup) | **POST** /sam/users/auth/signup | Signup
*UsersApi* | [**update_participant**](docs/UsersApi.md#update_participant) | **PUT** /sam/users/participants/{participant_id} | Updateparticipant
*UsersApi* | [**update_user**](docs/UsersApi.md#update_user) | **PUT** /sam/users/{user_id} | Updateuser
*UsersApi* | [**user_validations**](docs/UsersApi.md#user_validations) | **POST** /sam/users/validations/{field} | Uservalidations

## Documentation For Models

 - [AddressBase](docs/AddressBase.md)
 - [AlarmAcknowledge](docs/AlarmAcknowledge.md)
 - [AlarmAssign](docs/AlarmAssign.md)
 - [AlarmCreate](docs/AlarmCreate.md)
 - [AlarmIgnore](docs/AlarmIgnore.md)
 - [AlarmNote](docs/AlarmNote.md)
 - [AlarmTerminate](docs/AlarmTerminate.md)
 - [AlarmTicket](docs/AlarmTicket.md)
 - [AttachPaymentToProject](docs/AttachPaymentToProject.md)
 - [BasicMeta](docs/BasicMeta.md)
 - [BasicMetaCreate](docs/BasicMetaCreate.md)
 - [BodyAckAlarmMonitorServicesServiceStagesStageAlarmsAlarmUuidAcknowledgePost](docs/BodyAckAlarmMonitorServicesServiceStagesStageAlarmsAlarmUuidAcknowledgePost.md)
 - [BodyAssignAlarmMonitorServicesServiceStagesStageAlarmsAlarmUuidAssignPost](docs/BodyAssignAlarmMonitorServicesServiceStagesStageAlarmsAlarmUuidAssignPost.md)
 - [BodyAttachAlarmNoteMonitorServicesServiceStagesStageAlarmsAlarmUuidNotePost](docs/BodyAttachAlarmNoteMonitorServicesServiceStagesStageAlarmsAlarmUuidNotePost.md)
 - [BodyAttachAlarmTicketMonitorServicesServiceStagesStageAlarmsAlarmUuidTicketPost](docs/BodyAttachAlarmTicketMonitorServicesServiceStagesStageAlarmsAlarmUuidTicketPost.md)
 - [BodyAttachPaymentToProjectBillingAttachPaymentToProjectPost](docs/BodyAttachPaymentToProjectBillingAttachPaymentToProjectPost.md)
 - [BodyCreateKeySecurityKeysPost](docs/BodyCreateKeySecurityKeysPost.md)
 - [BodyGenerateTokenSecurityTokensPost](docs/BodyGenerateTokenSecurityTokensPost.md)
 - [BodyIgnoreAlarmMonitorServicesServiceStagesStageAlarmsAlarmUuidIgnorePost](docs/BodyIgnoreAlarmMonitorServicesServiceStagesStageAlarmsAlarmUuidIgnorePost.md)
 - [BodyProcessPaymentBillingProcessPaymentPost](docs/BodyProcessPaymentBillingProcessPaymentPost.md)
 - [BodyRegisterServiceMonitorServicesPost](docs/BodyRegisterServiceMonitorServicesPost.md)
 - [BodyTerminateAlarmMonitorServicesServiceStagesStageAlarmsAlarmUuidTerminatePost](docs/BodyTerminateAlarmMonitorServicesServiceStagesStageAlarmsAlarmUuidTerminatePost.md)
 - [BodyTriggerAlarmMonitorServicesServiceStagesStageAlarmsPost](docs/BodyTriggerAlarmMonitorServicesServiceStagesStageAlarmsPost.md)
 - [BodyVerifyKeySecurityKeysVerifyPost](docs/BodyVerifyKeySecurityKeysVerifyPost.md)
 - [CatalogBase](docs/CatalogBase.md)
 - [CatalogReturn](docs/CatalogReturn.md)
 - [CategoryBase](docs/CategoryBase.md)
 - [CategoryDb](docs/CategoryDb.md)
 - [CompanyBase](docs/CompanyBase.md)
 - [CompanyResponse](docs/CompanyResponse.md)
 - [Contact](docs/Contact.md)
 - [ContactBase](docs/ContactBase.md)
 - [ContactResponse](docs/ContactResponse.md)
 - [CreateKeyResponse](docs/CreateKeyResponse.md)
 - [CreateReview](docs/CreateReview.md)
 - [CreateTicket](docs/CreateTicket.md)
 - [CustomList](docs/CustomList.md)
 - [DatesMeta](docs/DatesMeta.md)
 - [DetailedMeta](docs/DetailedMeta.md)
 - [DetailedMetaCreate](docs/DetailedMetaCreate.md)
 - [Field](docs/Field.md)
 - [FieldDynamo](docs/FieldDynamo.md)
 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse2006](docs/InlineResponse2006.md)
 - [InlineResponse2007](docs/InlineResponse2007.md)
 - [InlineResponse2008](docs/InlineResponse2008.md)
 - [InlineResponse403](docs/InlineResponse403.md)
 - [MetaChildren](docs/MetaChildren.md)
 - [MetaCreate](docs/MetaCreate.md)
 - [MetaCustom](docs/MetaCustom.md)
 - [MetaDynamo](docs/MetaDynamo.md)
 - [MetaSlugger](docs/MetaSlugger.md)
 - [NoteBase](docs/NoteBase.md)
 - [NoteDynamo](docs/NoteDynamo.md)
 - [NoteDynamoHistory](docs/NoteDynamoHistory.md)
 - [NoteMeta](docs/NoteMeta.md)
 - [NotesHTTPValidationError](docs/NotesHTTPValidationError.md)
 - [NotesValidationError](docs/NotesValidationError.md)
 - [OptionGroup](docs/OptionGroup.md)
 - [Options](docs/Options.md)
 - [Page](docs/Page.md)
 - [Pagination](docs/Pagination.md)
 - [ParticipantCreate](docs/ParticipantCreate.md)
 - [ParticipantUpdate](docs/ParticipantUpdate.md)
 - [ParticipantUserReturn](docs/ParticipantUserReturn.md)
 - [Payment](docs/Payment.md)
 - [PaymentMethodResponse](docs/PaymentMethodResponse.md)
 - [PlaceBase](docs/PlaceBase.md)
 - [PlaceResponse](docs/PlaceResponse.md)
 - [ProductBase](docs/ProductBase.md)
 - [ProductReturn](docs/ProductReturn.md)
 - [ProjectsProjectCreate](docs/ProjectsProjectCreate.md)
 - [ProjectsProjectGet](docs/ProjectsProjectGet.md)
 - [ProjectsProjectMemberDB](docs/ProjectsProjectMemberDB.md)
 - [ProjectsProjectUpdate](docs/ProjectsProjectUpdate.md)
 - [ProjectsProjectUsageDB](docs/ProjectsProjectUsageDB.md)
 - [ProjectsUsageTypeCreate](docs/ProjectsUsageTypeCreate.md)
 - [ProjectsUsageTypeDB](docs/ProjectsUsageTypeDB.md)
 - [ProjectsUsageTypeGet](docs/ProjectsUsageTypeGet.md)
 - [ProjectsUsageTypeUnitPrice](docs/ProjectsUsageTypeUnitPrice.md)
 - [ProjectsUsageTypeUpdate](docs/ProjectsUsageTypeUpdate.md)
 - [SecurityCreateToken](docs/SecurityCreateToken.md)
 - [SecurityEncryptionKeyGet](docs/SecurityEncryptionKeyGet.md)
 - [SecurityKeyCreate](docs/SecurityKeyCreate.md)
 - [SecurityKeyGet](docs/SecurityKeyGet.md)
 - [SecurityKeyVerify](docs/SecurityKeyVerify.md)
 - [Selection](docs/Selection.md)
 - [ServiceCreate](docs/ServiceCreate.md)
 - [StaffCreate](docs/StaffCreate.md)
 - [StaffDb](docs/StaffDb.md)
 - [StaffResponse](docs/StaffResponse.md)
 - [StripeAccountResponse](docs/StripeAccountResponse.md)
 - [TagBase](docs/TagBase.md)
 - [TagDb](docs/TagDb.md)
 - [TicketResponse](docs/TicketResponse.md)
 - [TicketsResponse](docs/TicketsResponse.md)
 - [UpdateReview](docs/UpdateReview.md)
 - [User](docs/User.md)
 - [UserConfirmation](docs/UserConfirmation.md)
 - [UserEmail](docs/UserEmail.md)
 - [UserFlags](docs/UserFlags.md)
 - [UserLogin](docs/UserLogin.md)
 - [UserLoginReturn](docs/UserLoginReturn.md)
 - [UserPasswordReset](docs/UserPasswordReset.md)
 - [UserPasswordResetConfirmation](docs/UserPasswordResetConfirmation.md)
 - [UserResponse](docs/UserResponse.md)
 - [UserSignup](docs/UserSignup.md)
 - [UserSignupReturn](docs/UserSignupReturn.md)
 - [UserTokenReturn](docs/UserTokenReturn.md)
 - [UserValidations](docs/UserValidations.md)
 - [ValidationError](docs/ValidationError.md)
 - [Validations](docs/Validations.md)

## Documentation For Authorization

 All endpoints do not require authorization.

## Author

support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com
support@ehelply.com

## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in ehelply_python_sdk.apis and ehelply_python_sdk.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from ehelply_python_sdk.api.default_api import DefaultApi`
- `from ehelply_python_sdk.model.pet import Pet`

Solution 1:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import ehelply_python_sdk
from ehelply_python_sdk.apis import *
from ehelply_python_sdk.models import *
```
